Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.export.oasis
Class JROdtExporter

    java.lang.Object
      net.sf.jasperreports.engine.JRAbstractExporter
          net.sf.jasperreports.engine.export.oasis.JROpenDocumentExporter
              net.sf.jasperreports.engine.export.oasis.JROdtExporter

All Implemented Interfaces:
  JRExporter

    public class JROdtExporter

extends JROpenDocumentExporter

Exports a JasperReports document to ODF format. It has character output type and exports the document to a grid-based layout.

Version:
  $Id: JROdtExporter.java 3499 2010-03-03 15:35:34Z shertage $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)

Nested Class Summary
`protected class` | `JROdtExporter.ExporterContext`

Nested classes/interfaces inherited from class net.sf.jasperreports.engine.JRAbstractExporter
`JRAbstractExporter.BaseExporterContext, JRAbstractExporter.ParameterOverriddenResolver, JRAbstractExporter.ParameterOverrideResolver, JRAbstractExporter.ParameterResolver`

Field Summary
`static java.lang.String` | `ODT_EXPORTER_KEY` The exporter key, as used in `GenericElementHandlerEnviroment.getHandler(net.sf.jasperreports.engine.JRGenericElementType, String)`.
`protected static java.lang.String` | `ODT_EXPORTER_PROPERTIES_PREFIX`

Fields inherited from class net.sf.jasperreports.engine.export.oasis.JROpenDocumentExporter
`backcolor, backcolorStack, encoding, fontMap, IMAGE_NAME_PREFIX, IMAGE_NAME_PREFIX_LEGTH, imageMaps, imagesToProcess, JR_PAGE_ANCHOR_PREFIX, nature, pageIndex, progressMonitor, rendererToImagePathMap, reportIndex, startPage, styleCache, tableIndex, tempBodyWriter, tempStyleWriter`

Fields inherited from class net.sf.jasperreports.engine.JRAbstractExporter
`classLoader, classLoaderSet, dateFormatCache, endPageIndex, fileResolver, fileResolverSet, filter, globalOffsetX, globalOffsetY, hyperlinkProducerFactory, isModeBatch, jasperPrint, jasperPrintList, numberFormatCache, parameters, PROPERTY_CELL_FORMULA, PROPERTY_DEFAULT_FILTER_FACTORY, PROPERTY_SUFFIX_DEFAULT_FILTER_FACTORY, startPageIndex, urlHandlerFactory, urlHandlerFactorySet`

Constructor Summary
`JROdtExporter()`

Method Summary
`protected void` | `exportAnchor(java.lang.String anchorName)`
`protected void` | `exportEllipse(TableBuilder tableBuilder, JRPrintEllipse ellipse, JRExporterGridCell gridCell)`
`protected void` | `exportGenericElement(TableBuilder tableBuilder, JRGenericPrintElement element, JRExporterGridCell gridCell)`
`protected void` | `exportImage(TableBuilder tableBuilder, JRPrintImage image, JRExporterGridCell gridCell)`
`protected void` | `exportLine(TableBuilder tableBuilder, JRPrintLine line, JRExporterGridCell gridCell)`
`protected java.lang.String` | `getExporterKey()`
`protected ExporterNature` | `getExporterNature(ExporterFilter filter)`
`protected java.lang.String` | `getExporterPropertiesPrefix()`

Methods inherited from class net.sf.jasperreports.engine.export.oasis.JROpenDocumentExporter
`endHyperlink, exportFrame, exportGrid, exportPage, exportRectangle, exportReport, exportReportToOasisZip, exportStyledText, exportStyledTextRun, exportText, getElementIndex, getHyperlinkTarget, getHyperlinkURL, getImage, getImage, getImageName, getImagePath, getPrintElementIndex, getXAlignFactor, getYAlignFactor, insertPageAnchor, restoreBackcolor, setBackcolor, startHyperlink`

Methods inherited from class net.sf.jasperreports.engine.JRAbstractExporter
`createFilter, defaultParseNumber, getBooleanCellValue, getBooleanParameter, getCharacterParameter, getCustomHandler, getDateCellValue, getDateFormat, getFloatParameter, getHyperlinkProducer, getIntegerParameter, getLocale, getNumberCellValue, getNumberFormat, getOffsetX, getOffsetY, getParameter, getParameterResolver, getParameters, getStringArrayParameter, getStringParameter, getStringParameterOrDefault, getStyledText, getStyledText, getTextFormatFactoryClass, getTextLocale, getTextTimeZone, getTextValue, getTextValueString, reset, resetClassLoader, resetExportContext, restoreElementOffsets, setClassLoader, setExportContext, setFrameElementsOffset, setHyperlinkProducerFactory, setInput, setJasperPrint, setOffset, setOffset, setOutput, setPageRange, setParameter, setParameters`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ODT_EXPORTER_KEY

    public static final java.lang.String ODT_EXPORTER_KEY

  The exporter key, as used in `GenericElementHandlerEnviroment.getHandler(net.sf.jasperreports.engine.JRGenericElementType, String)`.

  See Also:
    Constant Field Values

### ODT_EXPORTER_PROPERTIES_PREFIX

    protected static final java.lang.String ODT_EXPORTER_PROPERTIES_PREFIX

See Also:
  Constant Field Values

Constructor Detail

### JROdtExporter

    public JROdtExporter()

Method Detail

### getExporterNature

    protected ExporterNature getExporterNature(ExporterFilter filter)

  Specified by:
    `getExporterNature` in class `JROpenDocumentExporter`
  See Also:
    `JROpenDocumentExporter.getExporterNature(net.sf.jasperreports.engine.export.ExporterFilter)`

### getExporterPropertiesPrefix

    protected java.lang.String getExporterPropertiesPrefix()

  Specified by:
    `getExporterPropertiesPrefix` in class `JROpenDocumentExporter`

### exportLine

    protected void exportLine(TableBuilder tableBuilder,
                              JRPrintLine line,
                              JRExporterGridCell gridCell)
                       throws java.io.IOException

  Specified by:
    `exportLine` in class `JROpenDocumentExporter`
  Throws:
    `java.io.IOException`

### exportEllipse

    protected void exportEllipse(TableBuilder tableBuilder,
                                 JRPrintEllipse ellipse,
                                 JRExporterGridCell gridCell)
                          throws java.io.IOException

  Specified by:
    `exportEllipse` in class `JROpenDocumentExporter`
  Throws:
    `java.io.IOException`

### exportImage

    protected void exportImage(TableBuilder tableBuilder,
                               JRPrintImage image,
                               JRExporterGridCell gridCell)
                        throws JRException,
                               java.io.IOException

  Specified by:
    `exportImage` in class `JROpenDocumentExporter`
  Throws:
    `JRException`
    `java.io.IOException`

### exportAnchor

    protected void exportAnchor(java.lang.String anchorName)
                         throws java.io.IOException

  Specified by:
    `exportAnchor` in class `JROpenDocumentExporter`
  Throws:
    `java.io.IOException`

### exportGenericElement

    protected void exportGenericElement(TableBuilder tableBuilder,
                                        JRGenericPrintElement element,
                                        JRExporterGridCell gridCell)
                                 throws java.io.IOException,
                                        JRException

  Specified by:
    `exportGenericElement` in class `JROpenDocumentExporter`
  Throws:
    `java.io.IOException`
    `JRException`

### getExporterKey

    protected java.lang.String getExporterKey()

  Specified by:
    `getExporterKey` in class `JRAbstractExporter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com